Pular para o conteúdo principal
GET
/
api
/
workspace
/
{workspaceId}
/
dashboards
/
{dashboardId}
Get dashboard
curl --request GET \
  --url https://app.alana.shopping/api/workspace/{workspaceId}/dashboards/{dashboardId} \
  --header 'Authorization: Bearer <token>'
{
  "dashboard": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "name": "<string>",
    "layout": {
      "version": 1,
      "cols": 24,
      "rowHeight": 136
    },
    "created_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>"
  },
  "widgets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "widget_type": "<string>",
      "position": {
        "x": 24,
        "y": 1,
        "w": 24,
        "h": 24
      },
      "config": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Cabeçalhos

X-Active-Brand
string<uuid>

Parâmetros de caminho

workspaceId
string
obrigatório

The workspace ID

Pattern: ^ws_[a-z0-9]+$
dashboardId
string<uuid>
obrigatório

Parâmetros de consulta

brand_id
string<uuid>

Resposta

Dashboard + widgets

dashboard
object
obrigatório
widgets
object[]
obrigatório
Last modified on April 25, 2026